document_id stringlengths 8 12 | document stringlengths 50 3.21k | split stringclasses 1
value |
|---|---|---|
d_bash_16400 | ---
+++
@@ -5,7 +5,7 @@
. /etc/profile.d/autojump.zsh
elif [ -f /opt/local/etc/profile.d/autojump.zsh ]; then # mac os x with ports
. /opt/local/etc/profile.d/autojump.zsh
- elif [ $commands[brew] -a -f `brew --prefix`/etc/autojump ]; then # mac os x with brew
- . `brew --prefix`/etc/autojump
+ elif... | bash |
d_bash_16401 | ---
+++
@@ -12,7 +12,7 @@
*)
test -f re2/obj/libre2.a && exit 0
- RE2_REV=${RE2_REV:-2016-11-01}
+ RE2_REV=${RE2_REV:-2017-01-01}
test -d re2 || git clone https://code.googlesource.com/re2
(cd re2 && git fetch --all && git checkout $RE2_REV)
| bash |
d_bash_16402 | ---
+++
@@ -4,6 +4,9 @@
--accept-license \
--expert \
--no-distro-scripts \
+ --no-glvnd-egl-client \
+ --no-glvnd-glx-client \
+ --no-install-libglvnd \
--no-kernel-module \
--no-kernel-module-source \
--no-nvidia-modprobe \ | bash |
d_bash_16403 | ---
+++
@@ -5,7 +5,7 @@
-project BonMot.xcodeproj \
-scheme BonMot-iOS \
-sdk iphonesimulator \
- -destination "platform=iOS Simulator,name=iPhone 6S,OS=11.0" \
+ -destination "platform=iOS Simulator,name=iPhone 6S,OS=11.0.1" \
CODE_SIGNING_REQUIRED=NO \
CODE_SIGN_IDENTITY= \
| bundle exec xcprett... | bash |
d_bash_16404 | ---
+++
@@ -1,10 +1,9 @@
CLIENT_ID="amzn1...."
CLIENT_SECRET="71acc0...."
CODE="CODE FROM auth_code.sh"
-GRANT_TYPE="authorization_code"
REDIRECT_URI="https://sakirtemel.github.io/MMM-alexa/"
curl \
-X POST \
- -d "grant_type=${GRANT_TYPE}&code=${CODE}&client_id=${CLIENT_ID}&client_secret=${CLIENT_SECRET}&... | bash |
d_bash_16405 | ---
+++
@@ -5,8 +5,8 @@
export TERM=xterm-256color
export EDITOR=/usr/bin/subl
export DEFAULT_USER=nih
-export PATH="$PATH:$GOPATH/bin:$(ruby -e "print Gem.user_dir")/bin:$HOME/.dotfiles/bin:$HOME/.config/composer/vendor/bin:$HOME/.local/bin"
export GOPATH="$HOME/Go"
+export PATH="/usr/local/bin:$PATH:$GOPATH/bin... | bash |
d_bash_16406 | ---
+++
@@ -2,6 +2,6 @@
sudo apt-get build-dep python-imaging
- sudo ln -s /usr/lib/`uname -i`-linux-gnu/libfreetype.so /usr/lib/
- sudo ln -s /usr/lib/`uname -i`-linux-gnu/libjpeg.so /usr/lib/
- sudo ln -s /usr/lib/`uname -i`-linux-gnu/libz.so /usr/lib/
+ sudo ln -s -f /usr/lib/`uname -i`-linux-gnu/libfreetype... | bash |
d_bash_16407 | ---
+++
@@ -25,6 +25,10 @@
cd $top
imagefile=appengine-8-devel-x86_64.iso
http_proxy= wget -q -O $imagefile "http://rba.cny.sas.com/api/v1/projects/$project/project_branches/$label/project_branch_stages/Release/images_by_name/$image_url/latest_file"
+echo
+echo Image MD5sum:
+md5sum $imagefile
+echo
s3put -b $buc... | bash |
d_bash_16408 | ---
+++
@@ -1,4 +1,4 @@
#!/bin/sh
GATEWAY=`ip route show 0.0.0.0/0 | awk '{print $3}'`
-echo "${GATEWAY} GATEWAY" >> /etc/workaround-docker-2267/hosts
+echo "${GATEWAY} GATEWAY" >> /etc/hosts
| bash |
d_bash_16409 | ---
+++
@@ -1,5 +1,9 @@
-#! /usr/bin/env bash
-git clone https://github.com/andrewhood125/establish.git ~/.establish
-echo -e "\nAdd establish to your path and reload shell:\n"
-echo " echo -e '# Add Establish to PATH\nexport PATH=\"\$PATH:\$HOME/.establish/bin\"' >> ~/.bashrc"
-echo " source ~/.bashrc"
+#!/usr... | bash |
d_bash_16410 | ---
+++
@@ -1,6 +1,16 @@
#!/bin/sh
DIR=`dirname $0`
+ARCH=`uname -m`
+
+case $ARCH in
+ x86_64|i686|i386)
+ TARGET=amd64
+ ;;
+ *)
+ echo "Unsupported arch"
+ exit 255
+ ;;
+esac
docker run --restart unless-stopped --name server-softether --env-file $DIR/server-softether.env --cap-add NET_ADMIN -p 500:500... | bash |
d_bash_16411 | ---
+++
@@ -1,5 +1,6 @@
#!/bin/sh
set -e
+echo http://dl-4.alpinelinux.org/alpine/edge/community >> /etc/apk/repositories
apk add --update go git mercurial
mkdir -p /go/src/github.com/gliderlabs
cp -r /src /go/src/github.com/gliderlabs/logspout | bash |
d_bash_16412 | ---
+++
@@ -1,4 +1,4 @@
-PARSER="stanford-parser-full-2015-12-09"
+PARSER="stanford-corenlp-full-2015-12-09"
rm -rf parser
wget http://nlp.stanford.edu/software/${PARSER}.zip
unzip ${PARSER}.zip | bash |
d_bash_16413 | ---
+++
@@ -1,15 +1,14 @@
#!/usr/bin/env bash
# Run pylint over the entire WMCore code base
-
-set -x
# Setup the environment
source ./env_unittest.sh
pushd wmcore_unittest/WMCore
export PYTHONPATH=`pwd`/test/python:`pwd`/src/python:$PYTHONPATH
-
+set -x
+pwd
git checkout master
git pull origin
@@ -20... | bash |
d_bash_16414 | ---
+++
@@ -1,6 +1,6 @@
#!/bin/bash
#
-# determine-version -- report a useful version for releases
+# version.sh -- report a useful version for releases
#
# Copyright 2008, Aron Griffis <agriffis@n01se.net>
# Copyright 2008, Oracle | bash |
d_bash_16415 | ---
+++
@@ -34,8 +34,7 @@
error_exit 'could not find the release package'
fi
-if !(aws s3 cp ${release_package} s3://#{RELEASE_BUCKET} --acl public-read --region ${RELEASE_BUCKET_REGION}); then
+echo 'Starting upload'
+if !(aws s3 cp ${release_package} s3://${RELEASE_BUCKET} --acl public-read --region ${RELEASE... | bash |
d_bash_16416 | ---
+++
@@ -14,4 +14,4 @@
file=$(basename "${path}")
echo " ... ${path} -> ${VIRTUAL_ENV}/bin/${file}"
ln -s "${path}" "${VIRTUAL_ENV}/bin/${file}"
-done < <(find "${HOME}/.cabal/bin" -type file -print0)
+done < <(find "${HOME}/.cabal/bin" -type f -print0) | bash |
d_bash_16417 | ---
+++
@@ -14,13 +14,13 @@
# User root is required to run webdriver-manager update. This shouldn't be a problem for CI containers
#mkdir -p dist && docker run --detach=true --name=fabric8-planner-builder --user=root --cap-add=SYS_ADMIN -e "API_URL=https://api.prod-preview.openshift.io/api/" -e "CI=true" -t -v $(pw... | bash |
d_bash_16418 | ---
+++
@@ -1,7 +1,7 @@
#!/bin/bash
container_cli=$(hiera -c /etc/puppet/hiera.yaml container_cli podman)
-container_name=$($container_cli ps --format="{{.Names}}" | grep metrics_qdr)
+container_name=$($container_cli ps --format="{{.Names}}" | grep memcached)
service_certificate="$(hiera -c /etc/puppet/hiera.y... | bash |
d_bash_16419 | ---
+++
@@ -22,5 +22,6 @@
install_npm_pkg http-server
install_npm_pkg grunt-cli
install_npm_pkg vsce
+install_npm_pkg typescript
install_node_version 12.16.3 --reinstall-packages-from=default | bash |
d_bash_16420 | ---
+++
@@ -2,7 +2,7 @@
SERVER=localhost
PORT=6667
-CHAN=ed
+CHAN=3310
NICK=ed
out() {
@@ -36,7 +36,7 @@
out $(echo $input | sed 's/I/O/')
;;
*PRIVMSG*)
- body=$(echo $input | sed 's/.*PRIVMSG.*:\(.*\)/\1/')
+ body=$(echo $input | sed 's/.*PRIVMSG[^:]\+... | bash |
d_bash_16421 | ---
+++
@@ -10,6 +10,7 @@
"PYUNIT" | "JSUNIT" | "PYBUILD" )
echo "Setting up for unit tests..."
+ cp static/javascript/tba_js/tba_keys_template.js static/javascript/tba_js/tba_keys.js
paver make
;;
"LINT") | bash |
d_bash_16422 | ---
+++
@@ -15,12 +15,13 @@
pushd src/bosh_aws_cpi
./scripts/bundle_from_local_cache
+
+ # ensure that we have a clean git state
+ git version
+ git status
+
bundle exec rspec spec/unit/*
popd
-
-# ensure that we have a clean git state
-git version
-git status
echo "using bosh CLI version..."
bosh ve... | bash |
d_bash_16423 | ---
+++
@@ -1,9 +1,6 @@
#!/bin/bash -x
# Make sure we exit if there is a failure
set -e
-
-#comment this when we can do an 'apt-get install llvm-5.0'
-#exit 0
mkdir -p travis_build/occam
mkdir -p travis_build/Repositories
@@ -22,13 +19,8 @@
exit 1
fi
-#sudo updatedb
-#locate FileCheck
-#ls -laR /usr/li... | bash |
d_bash_16424 | ---
+++
@@ -1,2 +1,10 @@
-cut -d';' -f "${selectedField}" "${sourceFile}"
-cut -d';' -f "${selectedField}" < "${sourceFile}"
+cut -d ';' -f "${selectedField}" "${sourceFile}"
+cut -d ';' -f "${selectedField}" < "${sourceFile}"
+cut -d';' -f"${selectedField}" "${sourceFile}"
+cut -d';' -f"${selectedField}" < "${source... | bash |
d_bash_16425 | ---
+++
@@ -12,9 +12,6 @@
# Make sure there's no old pyc files around.
find . -name '*.pyc' -exec rm {} \;
-# RHEL postgres 9 RPM installs pg_config here, psycopg2 needs it
-export PATH=$PATH:/usr/pgsql-9.2/bin/
-
echo "Linting..."
git ls-files crashstats | xargs check.py | bin/linting.py
| bash |
d_bash_16426 | ---
+++
@@ -10,7 +10,7 @@
# Start up the prudaq capture
# TODO: At least take channels as input
# TODO: Get somebody else to make this work
-./src/firmware/prudaq/prudaq_capture -i 0 -q 4 -o >(./src/firmware/prudaq/tof_analysis) pru0.bin pru1.bin &
+./src/firmware/prudaq/prudaq_capture -f 6000000-i 0 -q 4 -o >(./s... | bash |
d_bash_16427 | ---
+++
@@ -1,9 +1,11 @@
set -e
+
if [ "$TYPE" == "zpm" ]; then
cd test
- premake5 gmake --allow-install
+ premake5 install-package --allow-install --allow-module
+ premake5 gmake --allow-install --ignore-updates
cd zpm/
make
@@ -23,8 +25,7 @@
bin/${ARCH}/core-testd
... | bash |
d_bash_16428 | ---
+++
@@ -28,6 +28,20 @@
fi
}
+# Check to see if a named chain already exists.
+# http://stackoverflow.com/a/10784612
+function chain_exists () {
+ if [[ $# -lt 1 || $# -gt 2 ]]; then
+ error "Chain_exists usage: chain_exists <chain_name> [table]"
+ exit 3
+ fi
+ local chain_name="$1"... | bash |
d_bash_16429 | ---
+++
@@ -40,3 +40,4 @@
echo "gobin is: $GOBIN"
go get ./... # get all the go dependencies
+go get golang.org/x/tools/cmd/vet # add in `go vet` for travis | bash |
d_bash_16430 | ---
+++
@@ -30,5 +30,5 @@
pep8 .
display_result $? 1 "Code style check"
-nosetests -v -s --with-doctest
+nosetests -v -s --with-doctest --logging-level=CRITICAL
display_result $? 2 "Unit tests" | bash |
d_bash_16431 | ---
+++
@@ -1,3 +1,4 @@
+#!/usr/bin/env bash
# Trivial script to create virtualenv and do initial package install
# (Requires system pip to be available)
VENV_PATH=./venv
@@ -5,4 +6,4 @@
virtualenv $VENV_PATH --system-site-packages
source $VENV_PATH/bin/activate
-pip install -E $VENV_PATH --requirement $REQUIR... | bash |
d_bash_16432 | ---
+++
@@ -8,6 +8,7 @@
# Requirements: nmap
#
#----------------------------------------------------------------------------------------------------------------------------------------------------------
+alwaysActiveDevices=2
outputDirectory="/var/www/html" # Change this directory in order to change where the scr... | bash |
d_bash_16433 | ---
+++
@@ -22,7 +22,7 @@
fi
# Clear old symlinks
- rm -f .bash_profile .profile .bashrc .bash-config/current-platform .gitconfig
+ rm -f .bash_profile .profile .bashrc .bash-config/current-platform .gitconfig .jq
# Install new symlinks
ln -s .bash-config/bash_profile "${HOME}/.bash_profile" | bash |
d_bash_16434 | ---
+++
@@ -1 +1,3 @@
+echo -e "\nGenerating Preview of $LEANPUB_BOOK_NAME..\n"
curl -d "api_key=$LEANPUB_API_KEY" https://leanpub.com/$LEANPUB_BOOK_NAME/preview.json
+echo -e "\n" | bash |
d_bash_16435 | ---
+++
@@ -3,7 +3,7 @@
# Dotfiles initializer
# * Create symlinks to dotfiles in your repository.
-SOURCE_DIR=${HOME}/dotfiles
+SOURCE_DIR="$(cd `dirname "${0}"` && pwd)"
DOTFILES=( gemrc gitconfig gvimrc inputrc irbrc screenrc vimrc wgetrc zshrc )
SSH_CONFIG=ssh_config | bash |
d_bash_16436 | ---
+++
@@ -18,7 +18,7 @@
while tag_exists $TAG; do
i=$((i + 1))
- TAG="$DATE.$(echo {A..Z} | sed 's/ //g' | head -c $i | tail -c 1)"
+ TAG="$DATE-$(echo {A..Z} | sed 's/ //g' | head -c $i | tail -c 1)"
done
echo "Creating tag $TAG with message '$DESC'" | bash |
d_bash_16437 | ---
+++
@@ -4,13 +4,25 @@
# Usage: ./bpm-analyze.sh
# With no arguments, searches for tracks in the current folder and attempts to tag them
-which bpm-tag || {
+which bpm-tag >/dev/null || {
echo "Please install 'bpm-tools' (http://www.pogo.org.uk/~mark/bpm-tools/)"
exit 1
} # Check for bpm-tools
-whic... | bash |
d_bash_16438 | ---
+++
@@ -7,7 +7,7 @@
# in CentOS 7
export PATH=$PATH:/usr/libexec
-qemu-kvm -enable-kvm -nographic \
+sudo /usr/libexec/qemu-kvm -enable-kvm -nographic \
-kernel "$KERNDEV_HOME/boot/bzImage" \
-initrd "$KERNDEV_HOME/boot/initramfs.img" \
-hda "$ROOTFS_IMG" \
@@ -15,7 +15,11 @@
-append "root=/dev/sd... | bash |
d_bash_16439 | ---
+++
@@ -16,9 +16,15 @@
docker-compose run test
docker-compose run assembly
docker-compose build app
-docker-compose run integration-tests # || true
+docker-compose run integration-tests | true
-#docker-compose logs app
+retn=${PIPESTATUS[0]}
+if (( $retn != 0 ))
+then
+ echo "Integration tests failed with... | bash |
d_bash_16440 | ---
+++
@@ -18,6 +18,10 @@
bindkey '^[[B' down-line-or-search
bindkey '^R' history-incremental-search-backward
+autoload -z edit-command-line
+zle -N edit-command-line
+bindkey "^X^E" edit-command-line
+
# Fix tab completion http://stackoverflow.com/questions/564648/zsh-tab-completion-for-cd
zstyle ':completion... | bash |
d_bash_16441 | ---
+++
@@ -26,4 +26,10 @@
eval $(assume-deploy-role.sh)
fi
+# Delete will faul if S3 buckets have data - so delete those...
+for BUCKET in $(aws --region $REGION cloudformation list-stack-resources --stack-name dev-frontend \
+ | jq -r '.StackResourceSummaries[] | select(.ResourceType=="AWS::S3::Bucket")|.Phys... | bash |
d_bash_16442 | ---
+++
@@ -15,4 +15,4 @@
git init
git add .
git commit -m "Deploy to Github Pages"
-git push --force --quiet "https://${GITHUB_TOKEN}@$github.com/${GITHUB_REPO}.git" master:gh-pages
+git push --force --quiet "https://${GITHUB_TOKEN}@github.com/${GITHUB_REPO}.git" master:gh-pages | bash |
d_bash_16443 | ---
+++
@@ -10,8 +10,15 @@
set -e
ulimit -c unlimited
+log "running robustness-test-env"
+
cd /data/src/tests/robustness-test-env
./run-prov-cons-robustness-tests.sh -b /data/build/tests
+
+log "running mqtt-cc-robustness-test"
+
+cd /data/src/tests/robustness-test
+./run-mqtt-cc-robustness-tests.sh -b /data/bu... | bash |
d_bash_16444 | ---
+++
@@ -1,5 +1,5 @@
cd models
-wget https://gist.githubusercontent.com/ksimonyan/3785162f95cd2d5fee77/raw/bb2b4fe0a9bb0669211cf3d0bc949dfdda173e9e/VGG_ILSVRC_19_layers_deploy.prototxt
-wget --no-check-certificate https://bethgelab.org/media/uploads/deeptextures/vgg_normalised.caffemodel
-wget http://www.robots.o... | bash |
d_bash_16445 | ---
+++
@@ -13,5 +13,8 @@
apt-get -qq -y clean
# Install packer
-wget https://releases.hashicorp.com/packer/0.8.6/packer_0.8.6_linux_amd64.zip -O /tmp/packer_0.8.6_linux_amd64.zip
-unzip /tmp/packer_0.8.6_linux_amd64.zip -d /usr/local/bin/
+PACKER_VER=0.8.6
+PACKER_FILE="packer_${PACKER_VER}_linux_amd64.zip"
+wge... | bash |
d_bash_16446 | ---
+++
@@ -2,7 +2,11 @@
root -l <<EOF
gSystem->Load("libROBAST")
THtml html
-html.SetInputDir(".:src:include")
+html.SetInputDir(".:include")
+html.SetHomepage("http://robast.github.io/")
html.SetProductName("ROBAST")
html.MakeAll()
EOF
+
+
+ | bash |
d_bash_16447 | ---
+++
@@ -3,19 +3,13 @@
set -x
set -e
-STAGE=$1
-VERSION=$2
-INDEX_URL=""
+VERSION=$(poetry version -s)
-if [ "$STAGE" = "test" ]; then
- INDEX_URL="--index-url https://test.pypi.org/simple/"
-fi;
-
-mkdir "validate_$STAGE"
-cd "validate_$STAGE"
-python -m venv "venv_$STAGE"
-. "venv_$STAGE/bin/activate"
... | bash |
d_bash_16448 | ---
+++
@@ -11,8 +11,9 @@
# Try to get BSSID from profile first
config_load profile_$community
config_get bssid bssidscheme $channel
+config_get bssid_all bssidscheme "all"
-if [ -z "$bssid" ]; then
+if [ -z "$bssid" ] && [ -z "$bssid_all" ]; then
case $channel in
[1-9])
bssid="$(printf "%X\n" $channel)2:... | bash |
d_bash_16449 | ---
+++
@@ -27,6 +27,9 @@
fi
RES=$?
+
+rm -rf vectors
+
kill %1
trap - EXIT
trap | bash |
d_bash_16450 | ---
+++
@@ -1,8 +1,6 @@
#!/bin/sh
if [ -f /sys/class/net/ppp0/statistics/rx_bytes ] ; then
- # echo aanvaardt standaard geen \n
- # Opmerkelijk: bij dash wel? Wordt al geïnterpreteerd voor echo?
- printf '+\np' | cat /sys/class/net/ppp0/statistics/rx_bytes /sys/class/net/ppp0/statistics/tx_bytes - | dc | /home/kevi... | bash |
d_bash_16451 | ---
+++
@@ -5,7 +5,7 @@
# Ask for the administrator password upfront.
sudo -v
-# Keep-alive: update existing `sudo` time stamp until `.osx` has finished.
+# Keep-alive: update existing `sudo` time stamp until `brew.sh` has finished.
while true; do sudo -n true; sleep 60; kill -0 "$$" || exit; done 2>/dev/null &
... | bash |
d_bash_16452 | ---
+++
@@ -1,12 +1,14 @@
#!/bin/bash
# Install a custom version of PhantomJS, http://phantomjs.org/
+#
+# If you run into any rate limiting issues from bitbucket, put the download
+# file(s) into your own server and point to the location via the PHANTOMJS_HOST
+# environment variable.
#
# Add at least the follow... | bash |
d_bash_16453 | ---
+++
@@ -1,4 +1,13 @@
- https://dl-ssl.google.com/chrome/mac/stable/GGRO/googlechrome.dmg
- hdiutil attach googlechrome.dmg
- cd /Volumes/Google\ Chrome/
- cp -iv Google\ Chrome.app ~/Applications/Google\ Chrome.app
+ [[ -d ~/installtmp ]] && mkdir ~/installtmp
+ INSTALL_ROOT = ~/installtmp
+ cd $INSTALL_... | bash |
d_bash_16454 | ---
+++
@@ -21,4 +21,15 @@
docker run -d --name "$name" --volumes-from "$name-data" repo-info > /dev/null
echo '# `'"$image"'`'
+
+docker inspect -f '
+## Docker Metadata
+
+Image ID: `{{ .Id }}`
+Created: `{{ .Created }}`
+Arch: `{{ .Os }}`/`{{ .Architecture }}`
+
+Environment:
+{{ range .Config.Env }}{{ "\n" }}... | bash |
d_bash_16455 | ---
+++
@@ -1,4 +1,4 @@
-ssh -t glowstone@185.116.156.30 "sudo systemctl stop glowstone" -o ConnectTimeout=15
-ssh -t glowstone@185.116.156.30 "rm -rf glowstone.jar worlds/*" -o ConnectTimeout=15
-sftp -b .circle/upload glowstone@185.116.156.30 -o ConnectTimeout=15
-ssh -t glowstone@185.116.156.30 "sudo systemctl sta... | bash |
d_bash_16456 | ---
+++
@@ -24,6 +24,10 @@
go_version_tar_gz="go${GO_VERSION}.${OS_ID}-${ARCH_ID}.tar.gz"
+# download
cd /tmp
curl -O "https://storage.googleapis.com/golang/${go_version_tar_gz}"
+
+# uncompress
+sudo rm -rf /usr/local/go
sudo tar -C /usr/local -xzf "${go_version_tar_gz}" | bash |
d_bash_16457 | ---
+++
@@ -27,6 +27,7 @@
setopt APPEND_HISTORY # adds history
setopt INC_APPEND_HISTORY SHARE_HISTORY # adds history incrementally and share it across sessions
+setopt HIST_EXPIRE_DUPS_FIRST
setopt HIST_IGNORE_ALL_DUPS # don't record dupes in history
setopt HIST_REDUCE_BLANKS
setopt HIST_IGNORE_SPACE | bash |
d_bash_16458 | ---
+++
@@ -17,16 +17,12 @@
# pcap.h is required to build skydive
sudo yum -y install libpcap-devel
+export GOPATH=$WORKSPACE
+
# Get the Go dependencies
-export GOPATH=$HOME
go get -f -u github.com/axw/gocov/gocov
go get -f -u github.com/mattn/goveralls
go get -f -u golang.org/x/tools/cmd/cover
go get -f -u... | bash |
d_bash_16459 | ---
+++
@@ -2,7 +2,7 @@
alias egrep='egrep --color=auto'
alias _fgrep='fgrep --color=auto'
-alias fgrep='_fgrep -r -n'
+alias fgrep='_fgrep -R -n'
alias grep='grep --color=auto'
alias ew='grep "^[EW]"' | bash |
d_bash_16460 | ---
+++
@@ -10,8 +10,8 @@
echo "=> Preparing for deployment with Markdown documentation."
-for path in ${HOME}/.cabal/bin/* ; do
+while IFS= read -r -d '' path ; do
file=$(basename "${path}")
echo " ... ${path} -> ${VIRTUAL_ENV}/bin/${file}"
ln -s "${path}" "${VIRTUAL_ENV}/bin/${file}"
-done
+do... | bash |
d_bash_16461 | ---
+++
@@ -1,6 +1,6 @@
#!/usr/bin/env sh
-DIST="dist/"
+DIST="../dist/"
TARGET="~/public_html/"
USER="jys2124"
| bash |
d_bash_16462 | ---
+++
@@ -27,7 +27,7 @@
EXIT_STATUS=1
}
-gem install bundle
+gem install bundler --version 1.17.3
(bundle update && bundle exec rake spec:all) || set_failed_status | bash |
d_bash_16463 | ---
+++
@@ -13,7 +13,8 @@
TMPDIR=/tmp
if [ ! -e "$TMPDIR/packages/INDEX" ]; then
[ -d "$TMPDIR/packages" ] || mkdir -p "$TMPDIR/packages" || exit 1
- _ftpPath=ftp://ftp-archive.freebsd.org
+ _ftpPath=ftp://ftp.freebsd.org
+ # For older releases, use ftp://ftp-archive.freebsd.org
mediaSetFTP
mediaOpen
f_show... | bash |
d_bash_16464 | ---
+++
@@ -1,6 +1,6 @@
#! /bin/sh -e
-BUCKET_NAME=${BUCKET_NAME:-nixos}
+BUCKET_NAME=${BUCKET_NAME:-nixos-images}
export NIX_PATH=nixpkgs=../../../..
export NIXOS_CONFIG=$(dirname $(readlink -f $0))/../../../modules/virtualisation/google-compute-image.nix
export TIMESTAMP=$(date +%Y%m%d%H%M) | bash |
d_bash_16465 | ---
+++
@@ -7,7 +7,7 @@
# Default hash for user/pass combo: admin/admin
export DM_ADMIN_FRONTEND_PASSWORD_HASH=${DM_ADMIN_FRONTEND_PASSWORD_HASH:=JHA1azIkMjcxMCQxYjM5Y2JhY2RkYTY0OWMwYjdhMGU1MWU4MjQ5ODZlYSQ2VkNuM1I3dXNXYW8zY3dWZmRzVHFBck10Tzh0cWRBLg==}
export DM_ADMIN_FRONTEND_COOKIE_SECRET=${DM_ADMIN_FRONTEND_COOK... | bash |
d_bash_16466 | ---
+++
@@ -16,7 +16,7 @@
gox \
-os="${XC_OS}" \
-arch="${XC_ARCH}" \
- -output="pkg/{{.Dir}}_${version}_{{.OS}}_{{.Arch}}/gotee"
+ -output="pkg/{{.Dir}}-${version}-{{.OS}}-{{.Arch}}/gotee"
pushd pkg
for dir in $(ls -1 .); do | bash |
d_bash_16467 | ---
+++
@@ -1,9 +1,15 @@
+#!/usr/bin/env bash
+
cd /root/sardroid/sardroid-server
git pull
npm install
-pm2 restart www
+pm2 stop www
+
+pkill -f "babel"
+
+pm2 start www
exit 0 | bash |
d_bash_16468 | ---
+++
@@ -3,7 +3,7 @@
aclocal \
&& touch include/plConfig.h.in \
&& libtoolize --copy --ltdl --automake\
- && automake --add-missing \
+ && automake --add-missing --copy\
&& autoheader \
&& autoconf
| bash |
d_bash_16469 | ---
+++
@@ -3,8 +3,10 @@
# Path to here
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
+docker version
+
# Prepare
-docker login -u "$DOCKER_USER" -p "$DOCKER_PASS"
+echo "$DOCKER_PASS" | docker login -u "$DOCKER_USER" --password-stdin
export REPO=mikeallanson/gatsby-graphql
export TAG=latest
| bash |
d_bash_16470 | ---
+++
@@ -11,7 +11,9 @@
source ${SSH_ENV}
}
-if [ -f "${SSH_ENV}" ]; then
+if [ -x "${HOME}/Library/Containers/com.maxgoedjen.Secretive.SecretAgent/Data/socket.ssh" ]; then
+ export SSH_AUTH_SOCK="${HOME}/Library/Containers/com.maxgoedjen.Secretive.SecretAgent/Data/socket.ssh"
+elif [ -f "${SSH_ENV}" ]... | bash |
d_bash_16471 | ---
+++
@@ -1,3 +1,3 @@
#!/usr/bin/env bash
-echo $(( $(checkupdates | wc -l) + $(cower -u | wc -l) ))
+echo $(( $(checkupdates | wc -l) + $(cower -u | wc -l) )) | bash |
d_bash_16472 | ---
+++
@@ -28,3 +28,12 @@
pwd
}
export -f up
+
+# Shortcut to create and sync new git branches.
+branch ()
+{
+ git checkout -b $1
+ git push origin $1
+ git branch --set-upstream-to=origin/$1 $1
+}
+export -f branch | bash |
d_bash_16473 | ---
+++
@@ -19,8 +19,20 @@
git branch;
}
-function removeextras() {
- rm spec/controllers/$1_controller_spec.rb;
- rm app/helpers/$1_helper.rb;
- rm spec/helpers/$1_helper_spec.rb;
+function mergeDevelop() {
+ git checkout develop;
+ git pull --rebase;
+ git checkout feature/daily_update;
+ git pull --re... | bash |
d_bash_16474 | ---
+++
@@ -1,4 +1,4 @@
-fpath=("${HOME}"/.config/zsh/completions ${fpath})
+FPATH="${HOME}"/.config/zsh/completions:${FPATH}
setopt completealiases
zstyle ':completion:*' rehash true
zstyle ':completion:*' menu select | bash |
d_bash_16475 | ---
+++
@@ -20,5 +20,6 @@
build x86_64-unknown-linux-musl strip i386-linux/spotty-x86_64
build i686-unknown-linux-musl strip i386-linux/spotty
+# binary built in docker would not run on 1st gen. Pi running pCP. Whysoever.
+# build arm-unknown-linux-gnueabihf arm-linux-gnueabihf-strip arm-linux/spotty-hf
build aa... | bash |
d_bash_16476 | ---
+++
@@ -2,5 +2,15 @@
for t in $@; do
node $t
rv=$?
- test $rv -eq 0 && echo "$t .. OK" || echo "$t .. FAIL"
+ case $rv in
+ 0)
+ echo "$t .. OK"
+ ;;
+ 64)
+ echo "$t .. SKIP"
+ ;;
+ *)
+ echo "$t .. FAIL"
+ ;;
+ esac
done | bash |
d_bash_16477 | ---
+++
@@ -12,13 +12,18 @@
trap cleanup EXIT
fixtures_dir='fixtures'
+story_format='csf'
# parse command-line options
# '-f' sets fixtures directory
-while getopts ":f:" opt; do
+# '-s' sets story format to use
+while getopts ":fs:" opt; do
case $opt in
f)
fixtures_dir=$OPTARG
+ ;;
+ s... | bash |
d_bash_16478 | ---
+++
@@ -9,7 +9,21 @@
fi
}
-# Set the prompt.
-export PS1="
+# Prompt for use on Macs.
+prompt_mac="
\[$magenta\]\$(prompt_virtualenv)\[$green\]\u@\h \[$yellow\]\w
\[$reset\]\!: \$ "
+
+# Promot for use on Linux.
+prompt_linux="
+\[$magenta\]\$(prompt_virtualenv)\[$blue\]\u@\h \[$yellow\]\w
+\[$reset\]\!... | bash |
d_bash_16479 | ---
+++
@@ -2,12 +2,12 @@
#If do not pass a argument.
if [ ! "$1" ]; then
- sudo sh -c "nohup java -Djava.library.path=$(pwd)/SkyBlue/LCP/EDLoggingControl/LogDecompressor -cp .:lib/sqlite-jdbc-3.7.2.jar -classpath Httpd.jar:lib/sqlite-jdbc-3.7.2.jar SkyBlue.LCP.Httpd.core.Httpd -deamon >> /dev/null 2>&1 &"
+ ... | bash |
d_bash_16480 | ---
+++
@@ -2,7 +2,6 @@
set -ex
-# fedora image needs "bash".
# CONTAINER_IMAGE=fedora:28
# CONTAINER_IMAGE=fedora:27
# CONTAINER_IMAGE=fedora:26
@@ -12,7 +11,4 @@
# CONTAINER_IMAGE=ubuntu:trusty
CONTAINER_IMAGE=ubuntu:bionic
-docker pull "docker.io/${CONTAINER_IMAGE}"
-docker tag "docker.io/${CONTAINER_I... | bash |
d_bash_16481 | ---
+++
@@ -21,7 +21,7 @@
exec uwsgi --plugin http,python3 --master --http :8000 \
--processes 4 --threads 1 \
--need-app \
- --mount ${URL_PREFIX:-/}=deploy/wsgi.py \
+ --mount ${URL_PREFIX:-/}=smbackend/wsgi.py \
--manage-script-name \... | bash |
d_bash_16482 | ---
+++
@@ -13,12 +13,12 @@
curl -L https://get.rvm.io | bash -s stable
source ~/.rvm/scripts/rvm
-sed -i .bak -E 's!https?://cache.ruby-lang.org/pub/ruby!https://ruby.taobao.org/mirrors/ruby!' $rvm_path/config/db
+# sed -i .bak -E 's!https?://cache.ruby-lang.org/pub/ruby!https://ruby.taobao.org/mirrors/ruby!' $r... | bash |
d_bash_16483 | ---
+++
@@ -1,10 +1,25 @@
+#!/bin/bash
+
+if [ $# -eq 0 ]; then
+ echo "No arguments supplied."
+ echo "Usage: $ verify_installation.sh <projectName>"
+ exit 1
+fi
+
projectName=$1
projectPath=/var/www/html/$projectName
if [ ! -f $projectPath/index.html ] ||
+ [ ! -f $projectPath/login.html ] ||
+ [ ! -f $projec... | bash |
d_bash_16484 | ---
+++
@@ -17,7 +17,7 @@
fi
test -f re2/$LIBRE2 && exit 0
- RE2_REV=${RE2_REV:-2018-10-01}
+ RE2_REV=${RE2_REV:-2019-01-01}
case $(git config --get remote.origin.url) in
git@github.com*|https://github.com*|git://github.com*)
RE2_DEFAULT_URL=https://github.com/google/re2 | bash |
d_bash_16485 | ---
+++
@@ -1,7 +1,7 @@
rm -rf atmel-samd/build*
rm -rf esp8266/build*
-ATMEL_BOARDS="cplay_m0_flash feather_m0_basic feather_m0_adalogger feather_m0_flash metro_m0_flash trinket_m0 gemma_m0"
+ATMEL_BOARDS="arduino_zero cplay_m0_flash feather_m0_basic feather_m0_adalogger feather_m0_flash metro_m0_flash trinket_m... | bash |
d_bash_16486 | ---
+++
@@ -6,7 +6,7 @@
cd dist
git init .
git add *
- git commit -m "Deployment commit"
+ git commit -m "Deployment commit" --author="Travis CI <noreply@travis-ci.org>"
# We redirect any output to /dev/null to hide
# any sensitive credential data that might otherwise be exposed.
git push --force ... | bash |
d_bash_16487 | ---
+++
@@ -11,7 +11,7 @@
curl -L http://install.ohmyz.sh | sh > /tmp/oh-my-zsh-install.log
# Copy kristoffer.zsh-theme to $HOME/.oh-my-zsh/themes/
-cp -s $(pwd)/kristoffer.zsh-theme $HOME/.oh-my-zsh/themes/kristoffer.zsh-theme
+cp $(pwd)/kristoffer.zsh-theme $HOME/.oh-my-zsh/themes/kristoffer.zsh-theme
# Copy... | bash |
d_bash_16488 | ---
+++
@@ -8,7 +8,7 @@
' \;
echo "Retrieving list of installed Homebrew packages..."
-brew list -1 > init/10_brew/packages.list
+brew leaves -1 > init/10_brew/packages.list
brew cask list -1 > init/10_brew-cask/packages.list
echo "Retrieving list of installed/disabled Atom plugins..." | bash |
d_bash_16489 | ---
+++
@@ -7,8 +7,11 @@
rsync -a buildpack/ updated-buildpack/
+pushd updated-buildpack
+ git submodule update --init --remote
+popd
+
pushd updated-buildpack/scripts
- git checkout master
submodule_commit="$(git log --format=%B -n 1 HEAD | head -n 1)"
popd
| bash |
d_bash_16490 | ---
+++
@@ -10,3 +10,4 @@
}
complete -F _op op
+complete -F _op octopolo | bash |
d_bash_16491 | ---
+++
@@ -15,7 +15,7 @@
if [ ! -z "$(git status --porcelain)" ]; then
echo "Working directory is not clean - commit changes before uploading font"
- #exit 1
+ exit 1
fi
# Check the a branch for this version of the buit icon font does not exist already | bash |
d_bash_16492 | ---
+++
@@ -3,8 +3,8 @@
cd `dirname $0`
tmpdir=../tmp/watch
rm -fr $tmpdir
-mkdir -p $tmpdir
while true; do
+ mkdir -p $tmpdir
HSENV_TEST_COLOR=yes ./run.sh > $tmpdir/next.txt 2>&1
testresult=$?
if ! cmp $tmpdir/previous.txt $tmpdir/next.txt; then | bash |
d_bash_16493 | ---
+++
@@ -1,6 +1,7 @@
rm -rf $HUDSON_HOME/plugins/tasks*
-mvn install
+mvn install || { echo "Build failed"; exit 1; }
+
cp -f target/*.hpi $HUDSON_HOME/plugins/
cd $HUDSON_HOME | bash |
d_bash_16494 | ---
+++
@@ -7,6 +7,6 @@
GIT_NAME="Wilson Mar"
GIT_ID="WilsonMar+GitHub@gmail.com"
GIT_EMAIL="WilsonMar+GitHub@gmail.com"
-GPG_PASSPHRASE="abc"
-GITHUB_ACCOUNT="wilsonmar"
+GPG_PASSPHRASE="only you know this 2 well"
+GITHUB_ACCOUNT="hotwilson"
GITHUB_PASSWORD="change this to your GitHub account password" | bash |
d_bash_16495 | ---
+++
@@ -1,2 +1,2 @@
-hugo_0.19 --theme=devopsdays-theme --buildDrafts=false --baseURL="/"
+hugo_0.19 --theme=devopsdays-theme --buildDrafts=false --baseURL="https://www.devopsdays.org"
gulp | bash |
d_bash_16496 | ---
+++
@@ -1,9 +1,11 @@
#!/bin/bash
-sudo apt-get install build-essential cmake
-sudo apt-get install python-dev
+sudo apt-get install -y build-essential cmake
+sudo apt-get install -y python-dev
+sudo apt-get install -y ctags
cp ./.vimrc ~
git clone https://github.com/VundleVim/Vundle.vim.git ~/.vim/bundle/Vun... | bash |
d_bash_16497 | ---
+++
@@ -1,14 +1,14 @@
echo "Installing CoreNLP"
pip3 install --user --upgrade pexpect unidecode xmltodict jsonrpclib-pelix
pip3 install --user --upgrade git+https://bitbucket.org/ProgVal/corenlp-python.git
-if [ ! -f stanford-corenlp-full-2015-01-29.zip ]
+if [ ! -f stanford-corenlp-full-2014-08-27.zip ]
then... | bash |
d_bash_16498 | ---
+++
@@ -1,14 +1,11 @@
-#!/usr/bin/env bash
+#!/bin/sh
-####################################
+################################################################################
# vundle.sh
#
# This script installs Vundle.
-####################################
+###################################################... | bash |
d_bash_16499 | ---
+++
@@ -24,6 +24,6 @@
if (( ${DESTROY} )) ; then
molecule destroy
docker stop artifactory > null
- rm -rf /root/artifactory > null
+ sudo rm -rf /root/artifactory > null
echo 'removed container artifactory.'
fi | bash |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.